new Vue({
	el: '#discl',
	data: {
		showingDiscl: false,
		hidingDiscl: true
	},
	methods: {
		toggleDiscl: function () {
			this.showingDiscl = !this.showingDiscl
			this.hidingDiscl = !this.hidingDiscl
		}
	},
	computed: {
		toShowDisclFun: function () {
			return {
				vDisplayNone: this.showingDiscl,
				vDisplayInline: this.hidingDiscl
			}
		},
		toHideDisclFun: function () {
			return {
				vDisplayInline: this.showingDiscl,
				vDisplayNone: this.hidingDiscl
			}
		}
	}
})

new Vue({
	el: '#toc-intro',
	data: {
		showingIntro: false,
		hidingIntro: true
	},
	methods: {
		toggleIntro: function () {
			this.showingIntro = !this.showingIntro
			this.hidingIntro = !this.hidingIntro
		}
	},
	computed: {
		toShowIntroFun: function () {
			return {
				vDisplayNone: this.showingIntro,
				vDisplayInline: this.hidingIntro
			}
		},
		toHideIntroFun: function () {
			return {
				vDisplayInline: this.showingIntro,
				vDisplayNone: this.hidingIntro
			}
		}
	}
})
